local GemMainCell = class("GemMainCell", BaseCell)

function GemMainCell:refresh()
	local uiMap = self:getUIMap()

	local MallTreasureCfg = ConfigManager:getConfig("mall_treasure")
	for i = 1, 18 do
		local cell = uiMap["gem_cell.cell_" .. i]:addLuaComponent("app/ui/shop/cell/gem_cell")
		if MallTreasureCfg[i] then
			cell:refresh(i)
			cell:setVisible(true)
		else
			cell:setVisible(false)
		end
	end
end

return GemMainCell